<?php


namespace App\Services;


use App\Entities\Endereco\Endereco;

class EnderecoService extends Service
{
    // public function register (array $data) : Usuario {
    //     $perfil = Perfil::builder()
    //         ->setId($data['perfil'])
    //         ->build();
    //     $usuario = Usuario::builder()
    //         ->setPerfil($perfil)
    //         ->setEmail($data['email'])
    //         ->setsenha($this->cript_password($data['senha']))
    //         ->setAtivo(isset($data['ativo']) ? $data['ativo'] : 1)
    //         ->setCriadoEm(time())
    //         ->build();

    // return $usuario;
    // }

    public function getEnderecofromData (array $data) : Endereco {
        $endereco = Endereco::builder()
                    ->setCep($data['cep'])
                    ->setNumero($data['numero'])
                    ->setComplemento($data['complemento'])
                    ->setReferencias($data['referencias'])
                    ->build();
        return $endereco;
    }

}